[ARVADOS-DEV] updated: 16cf516bed2609efdd328ea89dd6630a6ee54062
Git user
git at public.arvados.org
Thu Aug 13 23:30:50 UTC 2020
Summary of changes:
jenkins/run-deploy.sh | 28 +++++++++++++++++++---------
1 file changed, 19 insertions(+), 9 deletions(-)
via 16cf516bed2609efdd328ea89dd6630a6ee54062 (commit)
from 730784fae52e58b0f28899eb286162b36a3efd53 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 16cf516bed2609efdd328ea89dd6630a6ee54062
Author: Ward Vandewege <ward at curii.com>
Date: Thu Aug 13 19:28:12 2020 -0400
run-deploy.sh: when there is a shell node, use that to figure out the
version of the arvados/jobs image to install.
No issue #
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at jhvc.com>
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index 0289e22..d4d5c17 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -321,17 +321,17 @@ if [[ "$NODE" == "" ]]; then
title "Found Arvados Standard Docker Images project with uuid $DOCKER_IMAGES_PROJECT"
- VERSION=`ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $IDENTIFIER apt-cache policy python3-arvados-cwl-runner|grep Candidate`
- VERSION=`echo $VERSION|cut -f2 -d' '|cut -f1 -d-`
+ if [[ "$SHELL_NODE_FOR_ARV_KEEPDOCKER" == "" ]]; then
+ VERSION=`ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $IDENTIFIER apt-cache policy python3-arvados-cwl-runner|grep Candidate`
+ VERSION=`echo $VERSION|cut -f2 -d' '|cut -f1 -d-`
- if [[ "$?" != "0" ]] || [[ "$VERSION" == "" ]]; then
- title "ERROR: unable to get arvados/jobs Docker image version"
- exit 1
- else
- title "Found version for arvados/jobs Docker image: $VERSION"
- fi
+ if [[ "$?" != "0" ]] || [[ "$VERSION" == "" ]]; then
+ title "ERROR: unable to get arvados/jobs Docker image version"
+ exit 1
+ else
+ title "Found version for arvados/jobs Docker image: $VERSION"
+ fi
- if [[ "$SHELL_NODE_FOR_ARV_KEEPDOCKER" == "" ]]; then
ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv-keepdocker |grep -qP "arvados/jobs +$VERSION "
if [[ $? -eq 0 ]]; then
title "Found latest arvados/jobs Docker image, nothing to upload"
@@ -358,6 +358,16 @@ if [[ "$NODE" == "" ]]; then
fi
fi
else
+ VERSION=`ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $SHELL_NODE_FOR_ARV_KEEPDOCKER apt-cache policy python3-arvados-cwl-runner|grep Candidate`
+ VERSION=`echo $VERSION|cut -f2 -d' '|cut -f1 -d-`
+
+ if [[ "$?" != "0" ]] || [[ "$VERSION" == "" ]]; then
+ title "ERROR: unable to get arvados/jobs Docker image version"
+ exit 1
+ else
+ title "Found version for arvados/jobs Docker image: $VERSION"
+ fi
+
ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $SHELL_NODE_FOR_ARV_KEEPDOCKER "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv-keepdocker" |grep -qP "arvados/jobs +$VERSION "
if [[ $? -eq 0 ]]; then
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list